"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionBlockedLabel = void 0;
var _react = _interopRequireDefault(require("react"));
require("./CoalitionBlockedLabel.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionBlockedLabel = _ref => {
  let {
    type = 0,
    long = false
  } = _ref;
  let msg = "Este beneficio no está disponible en tu ubicación.";
  if (long) {
    const benefits = ["sellos acumulados", "compras registradas", "premios"];
    msg = "Este beneficio no est\xE1 disponible en tu ubicaci\xF3n actual. Esto no significa que tus ".concat(benefits[type], " se perdieron o no puedas llevarte tus productos de regalo al cambiar de ubicaci\xF3n.");
  }
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-detail-blocked"
  }, msg);
};
exports.CoalitionBlockedLabel = CoalitionBlockedLabel;